﻿using System;
using System.Drawing;
using Syncfusion.Licensing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Barcode;
using Syncfusion.Pdf.Graphics;

namespace SfPdfBarcode
{
    class Program
    {
        static void Main(string[] args)
        {
            var font = new PdfStandardFont(PdfFontFamily.Helvetica, 8f, PdfFontStyle.Bold);
            var code39 = new PdfCode39Barcode()
            {
                Font = font,
                BarcodeToTextGapHeight = 1f,
                Text = "2101631034P1P1.1",
                BarHeight = 40,
                NarrowBarWidth = 0.8f

            };
            //Get the barcode size.
            var size = code39.Size;

            //Create PDF document based on the barcode size.
            var document = new PdfDocument()
            {
                PageSettings =
                {
                    Size = new SizeF(size.Width + 22, size.Height + 12), //Added some space for left and top.
                    Orientation = PdfPageOrientation.Landscape,
                    Margins = new PdfMargins
                    {
                        Left = 2,
                        Top = 0,
                        Bottom = 0,
                        Right = 1
                    }
                }
            };
            var page = document.Pages.Add();
            //Draw the barcode.
            code39.Draw(page, new PointF(10, 10));
            document.Save("SF_2101631034P1P1.1.pdf");


            Console.WriteLine("DONE");

            System.Diagnostics.Process.Start("SF_2101631034P1P1.1.pdf");
        }
    }
}
